aboutsummaryrefslogtreecommitdiffstats
path: root/chapter7/cleanup.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-12-11 00:52:08 -0600
committerWilliam Harrington <kb0iic@berzerkula.org>2021-12-11 00:52:08 -0600
commit2c8204d6325a1a6607392d5905227b9043da17cc (patch)
tree5a2d9047d0a3fb5664c17284b92c6e572507d062 /chapter7/cleanup.sh
parentf699702e72de8200632cfb95350ad51bb68c4b6f (diff)
Major updates.
Diffstat (limited to 'chapter7/cleanup.sh')
-rw-r--r--chapter7/cleanup.sh52
1 files changed, 26 insertions, 26 deletions
diff --git a/chapter7/cleanup.sh b/chapter7/cleanup.sh
index 3e4dfa3..416d07a 100644
--- a/chapter7/cleanup.sh
+++ b/chapter7/cleanup.sh
@@ -1,26 +1,26 @@
-#!/bin/bash
-set -e
-
-if [ -f "${LFS}/sources/chapter7/cleanup" ]; then
- printf "%b" " ${IGRN}Cleanup already performed${RST}\n"
-else
-
- printf "%b" "${GRN}Cleaning up ${YLW}${LFS}${RST}... "
-
- {
- sudo find "${LFS}"/usr/lib -name \*.la -delete
- sudo find "${LFS}"/usr/libexec -name \*.la -delete
-
- sudo rm -rfv "${LFS}"/usr/share/doc
- sudo rm -rfv "${LFS}"/usr/share/info
- sudo rm -rfv "${LFS}"/usr/share/man
-
- sudo strip --strip-debug "${LFS}"/usr/lib/* || true
- sudo strip --strip-unneeded "${LFS}"/usr/bin/* || true
- sudo strip --strip-unneeded "${LFS}"/usr/sbin/* || true
- sudo strip --strip-unneeded "${LFS}"/tools/bin/* || true
-} >"${LFS}"/sources/log/chapter7/cleanup.log 2>&1
-
- success "OK"
- sudo touch "${LFS}"/sources/chapter7/cleanup >/dev/null 2>&1
-fi
+#!/bin/bash
+set -e
+
+if [ -f "${LFS}/sources/chapter7/cleanup" ]; then
+ printf "%b" " ${IGRN}Cleanup already performed${RST}\n"
+else
+
+ printf "%b" "${GRN}Cleaning up ${YLW}${LFS}${RST}... "
+
+ {
+ sudo find "${LFS}"/usr/lib -name \*.la -delete
+ sudo find "${LFS}"/usr/libexec -name \*.la -delete
+
+ sudo rm -rfv "${LFS}"/usr/share/doc
+ sudo rm -rfv "${LFS}"/usr/share/info
+ sudo rm -rfv "${LFS}"/usr/share/man
+
+ sudo strip --strip-debug "${LFS}"/usr/lib/* || true
+ sudo strip --strip-unneeded "${LFS}"/usr/bin/* || true
+ sudo strip --strip-unneeded "${LFS}"/usr/sbin/* || true
+ sudo strip --strip-unneeded "${LFS}"/tools/bin/* || true
+} >"${LFS}"/sources/log/chapter7/cleanup.log 2>&1
+
+ success "OK"
+ sudo touch "${LFS}"/sources/chapter7/cleanup >/dev/null 2>&1
+fi